module CChokeControlPanelVariables
    implicit none
    type, public :: ChokeControlPanelType
        ! Input vars
        integer :: ChokePanelPumpSelectorSwitch
        logical :: ChokePanelStrokeResetSwitch
        logical :: ChokeSelectorSwitch
        real(8) :: ChokeRateControlKnob
        real(8) :: ChokeControlLever
        logical :: ChokePanelRigAirSwitch

        logical :: EnableAutoChoke
    
        ! Output vars
        real(8) :: StandPipePressure
        real(8) :: CasingPressure
        real(8) :: ChokePosition
        real(8) :: ChokePanelSPMCounter
        real(8) :: ChokePanelTotalStrokeCounter
        integer :: Choke1LED
        integer :: Choke2LED
    End Type ChokeControlPanelType
end module CChokeControlPanelVariables